using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SanSystem
{
    enum Sanierungsarten
    {
        INLINER = 1,
        SCHACHTANBINDUNG = 2,
        KURZLINER = 4,
        HUTPROFIL = 8,
        QUICKLOCK = 16
    }

    class SanArt
    {
        private int mod;

        public SanArt(int mod)
        {
            this.mod = mod;
        }
        public bool SanierungActivated(Sanierungsarten pm)
        {
            return (mod & (int)pm) == (int)pm;
        }
    }
}
